API reference
Operators
Search charter operators and read their fleets.
Search operators
GET/v1/operators
- Scope
read- Quota
- Counts toward your allowance
Query parameters
qstringUp to 120 characters.
statestringbasestringfleet_mininteger0 or more.
categoryarray of stringsOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptersortstringOne of
legal_name-legal_namedesignator-designatorbase_airport-base_airportbase_state-base_statefleet_count-fleet_countcursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of operator summary objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/operators" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Read an operator
GET/v1/operators/{id}
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idstringRequired
Response
200 OK
Returns the operator object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/operators/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"List an operator fleet
GET/v1/operators/{id}/aircraft
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idstringRequired
Query parameters
qstringUp to 120 characters.
categoryarray of stringsOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptersortstringDefaults to
registration.One of
registration-registrationtype-typecategory-categoryyear-yearbase_airport-base_airportconfidence-confidencecursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of aircraft summary objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/operators/$ID/aircraft" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Objects
Operator summary
base_airportobjectCan be null10 fields in base_airport
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
base_statestringCan be nulldba_namestringCan be nulldesignatorstringfleet_categoriesarray of stringsOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopterfleet_countintegeridUUIDis_savedbooleanlegal_namestringstatusstring
Operator
base_airportobjectCan be null10 fields in base_airport
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
base_statestringCan be nulldba_namestringCan be nulldesignatorstringfleet_by_categorymap of integersfleet_categoriesarray of stringsOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopterfleet_countintegerfsdostringCan be nullidUUIDis_savedbooleanlegal_namestringphonestringCan be nullsourcestringsource_updated_atdate-timeCan be nullstatusstringwebsitestringCan be null
Aircraft summary
availabilitystringCan be nullOne of
availablenot_availableunknownbase_airportobjectCan be null10 fields in base_airport
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
confidencestringCan be nullfitobjectCan be null11 fields in fit
base_distance_nmintegerCan be nullbase_pointsintegercategory_pointsintegerlongest_leg_nmintegerpaxintegerrange_nmintegerCan be nullrange_pointsintegerrequested_categorystringCan be nullscoreintegerseatsintegerCan be nullseats_pointsinteger
idUUIDmanufacturer_namestringCan be nullmodel_namestringCan be nulloperator_countintegerregistrant_kindstringCan be nullregistrant_namestringCan be nullregistrant_statestringCan be nullregistrationstringseatsintegerCan be nulltypeobjectCan be null5 fields in type
categorystringOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptericao_designatorstringidUUIDmanufacturerstringmodelstring
yearintegerCan be null